#ifndef _FMC_FLASH_H__
#define _FMC_FLASH_H__
#include <stdint.h>

void fmc_write_sn(uint8_t *sn, int len);
void fmc_read_sn(uint8_t *sn, int len);

void fmc_write_data(int index, uint8_t *data, int len);
void fmc_read_data(int index, uint8_t *data, int len);
void fmc_write_magic(uint32_t magic);
uint32_t fmc_read_magic(void);
uint32_t fmc_get_addr(int page);

#endif /* _FMC_FLASH_H__ */

